سؤال كيف يمكنني الحصول على Atheros AR8162 العمل؟


لقد قمت بالترقية من 12.04 إلى 12.10 ، ولم تنجح بطاقة شبكة Ethernet الخاصة بي ، وحاولت القيام بنفس الإجراء مثلما فعلت في إصدار أوبونتو 4.12 ، لكنها لم تنجح.

هل لدى أي شخص فكرة عن كيفية القيام بذلك؟

lo        Link encap:Loopback Local  
          inet end.: 127.0.0.1  Masc:255.0.0.0
          endereço inet6: ::1/128 Escopo:Máquina
          UP LOOPBACK RUNNING  MTU:16436  Métrica:1
          pacotes RX:684 erros:0 descartados:0 excesso:0 quadro:0
          Pacotes TX:684 erros:0 descartados:0 excesso:0 portadora:0
          colisões:0 txqueuelen:0 
          RX bytes:66739 (66.7 KB) TX bytes:66739 (66.7 KB)

wlan0     Link encap:Ethernet  Endereço de HW e0:06:e6:d0:da:3d  
          inet end.: 192.168.1.100  Bcast:192.168.1.255  Masc:255.255.255.0
          endereço inet6: fe80::e206:e6ff:fed0:da3d/64 Escopo:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Métrica:1
          pacotes RX:2040 erros:0 descartados:0 excesso:0 quadro:0
          Pacotes TX:2352 erros:0 descartados:0 excesso:0 portadora:0
          colisões:0 txqueuelen:1000 
          RX bytes:1149462 (1.1 MB) TX bytes:307333 (307.3 KB)

2
2017-10-24 04:34


الأصل


تفعل تجميع في وضع سودو ، إذا كنت حصلت على أخطاء
لا يتعرف نظامي على أي اتصال ethernet. - Hudson Cordovil
نشر نتائج الأمر: $ ifconfig - TomKat


الأجوبة:


حسنًا ، تمكن من حل المشكلة. أنا تحميلها وتثبيتها compat-wireless-2012-02-28-p.tar.bz2 من عند http://linuxwireless.org/download/compat-wireless-2.6/ .

tar -xvf compat-wireless-2012-02-28-p.tar
cd compat-wireless-2012-02-28-p
scripts/driver-select alx
make
sudo make install
sudo modprobe alx

ملاحظة: لن يعمل هذا الإصلاح مع الإصدارات الأحدث من compat-wireless-2012-02-28-p.tar.bz2. تمت إزالة Alx من الإصدارات الأحدث. استخدم الملف المحدد الموضح هنا.

تحديث 2012/09/05: العمل على جهاز Dell Inspiron 14z مع نفس مجموعة الشرائح باستخدام tarball compat-wireless-2012-09-01-pc.tar.bz2


10
2018-06-29 13:38



الشبكة (سلكية لاسلكية) هي المتطلبات الأساسية لنظام التشغيل. يجب أن تبذل الهندسة قصارى جهدها لضمان تضمين برامج التشغيل في نظام التشغيل. وإلا ، فيجب عليهم توفير روابط في صفحة الويب تشير إلى تنزيل الوسائط. هذه هي ملاحظاتي - user5545
هذا يعمل بالنسبة لي على لينوفو G780 ، ولكن بعد إعادة تشغيل إيثرنت لا يعمل مرة أخرى ، ولست بحاجة إلى القيام alpropro مرة أخرى. أي شخص لديه أي فكرة عن السبب في ذلك؟ - fiftyeight
تحتاج إلى تحرير / etc / modules file ، من أجل تحميل الوحدة "alx" في كل مرة تقوم فيها بإعادة التشغيل. فقط أضف "alx" في سطر جديد في هذا الملف. - Bhavin Doshi


في حالتي (أوبونتو 12.10 مع انسبايرون 14z) ، فقط قم بتثبيت حزمة linux-backports-modules-cw-3.6-quantal-general حل المشكلة. إليك الأمر السحري:

sudo apt-get install linux-backports-modules-cw-3.6-quantal-generic

إذا كنت لا تستطيع تشغيل apt-get على جهازك (نظرًا لعدم توفر اتصال بالشبكة) ، يمكنك تنزيل الحزمة هنا. هذا الرابط للنواة 3.5.0.27 - الأحدث في الكَمِّيَّة. قد تحتاج إلى نسخة مختلفة من العبوة لتتطابق مع كل ما تقوم بتشغيله (راجع إخراج uname -a).


2
2017-12-22 12:19





اتصل بالإنترنت.

فتح اندفاعة عن طريق الضغط ALT + F2 مفتاح

اكتب في gksudo jockey-gtk ثم اضغط على Enter.

سيقوم هذا بالبحث عن برنامج التشغيل المقيد وتثبيتها.


1
2018-06-28 17:11



حاول ، ولكن لا يمكن العثور على سائق مناسب. تقول "لا توجد برامج تشغيل خاصة بالمستخدم قيد الاستخدام على هذا النظام" - user5545


السائق compat-wireless-2012-02-28-p.tar.bz2 يعمل بشكل جيد مع بلدي Ubuntu 11.04 "Natty" مثبت على بلدي PB72E NB510-117 توشيبا.

وهنا نتائج lspci:

01:00.0 Ethernet controller: Atheros Communications Device 1090 (rev 10)
02:00.0 Network controller: Atheros Communications Inc. AR9285 Wireless Network Adapter (PCI-Express) (rev 01)

1
2017-08-18 11:59





حسنًا ، تحقق مما إذا كان النظام الخاص بك يتعرف على الاتصال الأساسي كـ eth1 بدلاً من eth0. جهاز الكمبيوتر المحمول الخاص بي يحتوي على eth1 فقط ، وليس eth0.

لهذا ، افتح "اتصالات الشبكة" من Unity Loader (اضغط على مفتاح "super" aka "windows"). الآن ، ضمن "علامة التبويب السلكية" ، قم بتحرير الاتصال الذي تحصل عليه.

تحقق من "الاتصال تلقائيًا" واختر إعدادات IPv4 & IPv6.

افصل كابل. كابل توصيل مرة أخرى.

معرفة ما إذا كان يعمل.


0
2017-10-24 04:48





لا يجب على المستخدمين الحاليين (12.10) أن يقوموا بتركيب سواقات احتياطية ، حيث أن النواة 3.5.0 لديها الآن دعم مدمج ALX سائق.

بالنسبة للمستخدمين في Precise (12.04 LTS) ، أصبحت الحياة سهلة بنفس القدر مع إصدار 12.04.2 نقطة في 14 فبراير. قدم هذا الإصدار LTS Enablement Stack، والتي ستجعل إطلاق LTS الخاص بك تشغيل أعلى أحدث kernel مستقرة (و X كومة) من Quantal.

لتمكين LTS Enablement Stack (الافتراضي من 12.04.2 فصاعداً ، ولكنه يفعل ذلك ليس الحصول على تنشيط تلقائيا عند الترقية إلى 12.04.2 من 12.04 أو 12.04.1) ، قم بتثبيت لينكس-عامة-LTS-كمومي صفقة:

apt-get update
apt-get install linux-generic-lts-quantal

إذا كنت تريد أيضًا الحصول على مكدس X من الإصدار الكوني ، بالإضافة إلى ذلك:

apt-get install xserver-xorg-lts-quantal

0
2018-02-24 22:45



أستخدم Ubuntu 12.10 بنفس أجهزة التوصيل السلكية. وهي لا تعمل. هل يمكن أن تخبرني كيف تعمل دون تمكين وحدات backports. لأنه بمجرد محاولة تثبيت من الوحدات النمطية backports وتعالج بعض المشاكل بالنسبة لي. وسوف يكون عونا كبيرا بالنسبة لي. - Apurba